tpm2_listpcrs(8)

NAME
tpm2_listpcrs - display all PCR values in given algorithm with -g, display given PCR values in given algorithms with -L, or if no algorithm is given, output all algs. Output file just contains all returned PCR values in binary format and in 0~23 order and in the requested order if multiple algs were requested. Assume the caller know the pcr value length corresponding to the given bank/algorithm.

SYNOPSIS
tpm2_listpcrs[ COMMON OPTIONS ] [ TCTI OPTIONS ] [ --algorithim|--output|--selList|--algs| ]

display all PCR values in given algorithm with -g, display given PCR values in given algorithms with -L, or if no algorithm is given, output all algs. Output file just contains all returned PCR values in binary format and in 0~23 order and in the requested order if multiple algs were requested. Assume the caller know the pcr value length corresponding to the given bank/algorithm.

DESCRIPTION
tpm2_listpcrs display all PCR values in given algorithm with -g, display given PCR values in given algorithms with -L, or if no algorithm is given, output all algs. Output file just contains all returned PCR values in binary format and in 0~23 order and in the requested order if multiple algs were requested. Assume the caller know the pcr value length corresponding to the given bank/algorithm.

OPTIONS

-g ,--algorithim
    The algorithm id, optional 0x0004 TPM_ALG_SHA1 0x000B TPM_ALG_SHA256 0x000C TPM_ALG_SHA384 0x000D TPM_ALG_SHA512 0x0012 TPM_ALG_SM3_256

-o ,--output
    The file to hold the PCR values in binary format, optional

-L ,--selList
    The list of pcr banks and selected PCRs' ids (0~23) for each bank

-s ,--algs
    Show the supported algs in the PCR banks

[COMMON OPTIONS ]
    This collection of options are common to many programs and provide information that many users may expect.

-h, --help
    Display a manual describing the tool and its usage.

-v, --version
    Display version information for this tool.

-V, --verbose
    Increase the information that the tool prints to the console during its execution.

[TCTI OPTIONS ]
    This collection of options are used to configure the varous TCTI modules available.

-T, --tcti
    Select the TCTI used for communication with the next component down the TSS stack. In most configurations this will be the TPM but it could be a simulator or proxy. Supported TCTIs are .

ENVIRONMENT: TCTI
    This collection of environment variables that may be used to configure the varous TCTI modules available. The values passed through these variables can be overridden on a per-command basis using the available command line options.

TPM2TOOLS_TCTI_NAME
    Select the TCTI used for communication with the next component down the TSS stack. In most configurations this will be the TPM but it could be a simulator or proxy. See 'OPTIONS' section for the names of supported TCTIs.

EXAMPLES
tpm2_listpcrs

    display all PCR values:
    tpm2_listpcrs
    display the PCR values with specified bank:
    tpm2_listpcrs -g 0x04
    display the PCR values with specified banks and store in a file:
    tpm2_listpcrs -L 0x04:16,17,18+0x0b:16,17,18 -o pcrs
    display the supported algs in the PCR banks:
    tpm2_listpcrs -s